package com.hzya.frame.sysnew.plugArg.entity;

import cn.dev33.satoken.stp.StpUtil;
import com.hzya.frame.sysnew.plugArgDeatil.entity.SysPlugArgDetailEntity;
import com.hzya.frame.uuid.UUIDUtils;
import com.hzya.frame.web.entity.BaseEntity;

import java.util.Date;
import java.util.List;

/**
 * 参数设置主表(SysPlugArg)实体类
 *
 * @author makejava
 * @since 2024-03-18 14:32:28
 */
public class SysPlugArgEntity extends BaseEntity {
 
  /**  插件id */
   private String plugId;
  /**  插件编码 */
   private String plugCode;
  /**  插件名称 */
   private String plugName;
  /**  备注 */
   private String remark;

    /**  参数列表 */
    private List<SysPlugArgDetailEntity> sysPlugArgDetailEntityList;

    public String getPlugId() {
        return plugId;
    }

    public void setPlugId(String plugId) {
        this.plugId = plugId;
    }

    public String getPlugCode() {
        return plugCode;
    }

    public void setPlugCode(String plugCode) {
        this.plugCode = plugCode;
    }

    public String getPlugName() {
        return plugName;
    }

    public void setPlugName(String plugName) {
        this.plugName = plugName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<SysPlugArgDetailEntity> getSysPlugArgDetailEntityList() {
        return sysPlugArgDetailEntityList;
    }

    public void setSysPlugArgDetailEntityList(List<SysPlugArgDetailEntity> sysPlugArgDetailEntityList) {
        this.sysPlugArgDetailEntityList = sysPlugArgDetailEntityList;
    }
    public void setCreate() {
        this.setId(UUIDUtils.getUUID());
        this.setSts("Y");
        this.setCreate_user_id(StpUtil.getLoginIdAsString());
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setCreate_time(new Date());
        this.setModify_time(new Date());
    }
    //修改信息
    public void setUpdate() {
        this.setModify_user_id(StpUtil.getLoginIdAsString());
        this.setModify_time(new Date());
    }
}

